SpareSpare Docs
GuidesAPI Reference

Account Verification

Match a bank account (IBAN) to an identity.

POST
/api/v2.0/av/AccountVerification/IdMatch
Authorization
Body
*object

Request Body

application/json

The model containing the account verification request details. It includes fields such as IBAN, ID value, and other required verification parameters.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2.0/av/AccountVerification/IdMatch" \  -H "Content-Type: application/json" \  -d '{    "iban": "string",    "idType": "NATIONAL_ID",    "idValue": "string"  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "requestId": "string",    "result": "MATCH",    "bank": {      "englishName": "string",      "arabicName": "string",      "bankCode": "string",      "swiftCode": "string"    },    "errorDescription": "string",    "idType": "NATIONAL_ID",    "idValue": "string",    "beneficiaryName": "string",    "executionDate": "2019-08-24T14:15:22Z"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty
POST
/api/v2.0/av/AccountVerification/Corporate
Authorization
Body
*object

Request Body

application/json

The model containing the corporate verification request details. This includes the IBAN, CR, and UNN, which are validated in this operation.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2.0/av/AccountVerification/Corporate" \  -H "Content-Type: application/json" \  -d '{    "iban": "string"  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "requestId": "string",    "result": "MATCH",    "bank": {      "englishName": "string",      "arabicName": "string",      "bankCode": "string",      "swiftCode": "string"    },    "errorDescription": "string",    "idType": "NATIONAL_ID",    "idValue": "string",    "beneficiaryName": "string",    "executionDate": "2019-08-24T14:15:22Z"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty